Opened 7 years ago

Closed 7 years ago

#6826 closed defect (fixed)

Drop support for Libevent before 1.3e

Reported by: nickm Owned by:
Priority: Medium Milestone: Tor: 0.2.4.x-final
Component: Core Tor/Tor Version:
Severity: Keywords: tor-relay
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

1.3e is the first non-broken version of Libevent for our purposes, but we still have code to detect and warn about older stuff. If we can confirm that nothing we care about ships an older libevent (please say it doesn't) then we can kill support for older libevents entirely and remove a little code.

Child Tickets

Change History (5)

comment:1 Changed 7 years ago by nickm

Keywords: tor-relay added

comment:2 Changed 7 years ago by nickm

Component: Tor RelayTor

comment:3 Changed 7 years ago by nickm

Status: newneeds_review

bug6826 in my public repository

comment:4 Changed 7 years ago by andrea

Looks fine to me; go ahead and merge.

comment:5 Changed 7 years ago by nickm

Resolution: fixed
Status: needs_reviewclosed

Thanks! Turns out there was a compilation error. Fixed and merged as bug6826_squashed.

Note: See TracTickets for help on using tickets.